Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.intercept
Class InterceptorInvoker

    java.lang.Object
      org.apache.ode.bpel.intercept.InterceptorInvoker

    public abstract class InterceptorInvoker

extends java.lang.Object

Helper for invoking the appropriate `MessageExchangeInterceptor` method -- basically a work-around for lack of closures.

Field Summary
`static InterceptorInvoker` | `__onBpelServerInvoked` Invoke `MessageExchangeInterceptor.onBpelServerInvoked(MyRoleMessageExchange, InterceptorContext)`
`static InterceptorInvoker` | `__onJobScheduled` Invoke `MessageExchangeInterceptor.onBpelServerInvoked(MyRoleMessageExchange, InterceptorContext)`
`static InterceptorInvoker` | `__onNewInstanceInvoked` Invoke `MessageExchangeInterceptor.onPartnerInvoked(PartnerRoleMessageExchange, InterceptorContext)`
`static InterceptorInvoker` | `__onPartnerInvoked` Invoke `MessageExchangeInterceptor.onPartnerInvoked(PartnerRoleMessageExchange, InterceptorContext)`
`static InterceptorInvoker` | `__onProcessInvoked` Invoke `MessageExchangeInterceptor.onProcessInvoked(MyRoleMessageExchange, InterceptorContext)`

Method Summary
`abstract void` | `invoke(MessageExchangeInterceptor i, MessageExchange mex, MessageExchangeInterceptor.InterceptorContext ictx)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __onProcessInvoked

    public static final InterceptorInvoker __onProcessInvoked

  Invoke `MessageExchangeInterceptor.onProcessInvoked(MyRoleMessageExchange, InterceptorContext)`

### __onBpelServerInvoked

    public static final InterceptorInvoker __onBpelServerInvoked

  Invoke `MessageExchangeInterceptor.onBpelServerInvoked(MyRoleMessageExchange, InterceptorContext)`

### __onJobScheduled

    public static final InterceptorInvoker __onJobScheduled

  Invoke `MessageExchangeInterceptor.onBpelServerInvoked(MyRoleMessageExchange, InterceptorContext)`

### __onPartnerInvoked

    public static final InterceptorInvoker __onPartnerInvoked

  Invoke `MessageExchangeInterceptor.onPartnerInvoked(PartnerRoleMessageExchange, InterceptorContext)`

### __onNewInstanceInvoked

    public static final InterceptorInvoker __onNewInstanceInvoked

  Invoke `MessageExchangeInterceptor.onPartnerInvoked(PartnerRoleMessageExchange, InterceptorContext)`

Method Detail

### invoke

    public abstract void invoke(MessageExchangeInterceptor i,
                                MessageExchange mex,
                                MessageExchangeInterceptor.InterceptorContext ictx)
                         throws FailMessageExchangeException,
                                FaultMessageExchangeException

  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD